#ifndef _BEAST_H_
#define _BEAST_H_

#include "Enemy.h"

#define BEAST_REST 20001
#define BEAST_WALK 20002

class Room;

class Beast : public Enemy {
    
private:
    
    Frame* frame0;
    Frame* frame1;
    Frame* frame2;
    Animation* walkAnimation;
    Animation* idleAnimation;
    
public:

    Beast(Detector* detector, Wizard* wizard, Room* room, int level);
    ~Beast();
    
    void moveForward(float deltaTime);
    void stop();

};

#endif //_BEAST_H_
