/*
 * CPSC 314 Project 1
 * James Riecken
 * 43621002
 */
#include <GL/glut.h>
#include "Camera.h"
#include "CameraState.h"

Camera::Camera(CameraState* cs) {
	this->my_state = cs;
}

//motion specified in reverse order
void Camera::position() {
    //rotate camera itself
    glRotatef(my_state->camera_rot_x,1,0,0);
    glRotatef(my_state->camera_rot_y,0,1,0);
    glRotatef(my_state->camera_rot_z,0,0,1);
    //Move camera relative to target
    glTranslatef(-my_state->pos_x,-my_state->pos_y,-my_state->pos_z);
    //Rotate around target
	glRotatef(my_state->around_target_rot_x,1,0,0);
    glRotatef(my_state->around_target_rot_y,0,1,0);
    glRotatef(my_state->around_target_rot_z,0,0,1);
    //Move to target position
    glTranslatef(-my_state->target_x,-my_state->target_y,-my_state->target_z);
}
