#include "Floor.h"
#include "Utils.h"

Floor::Floor(int floor_type) {
    if (floor_type == BLACK_FLOOR) {
        Utils::loadTexture("Textures/ground.tga", &tex, GL_TEXTURE_2D, false);
    } else if (floor_type == WOOD_FLOOR) {
        Utils::loadTexture("Textures/woodfloor.tga", &tex, GL_TEXTURE_2D, false);
    } else if (floor_type == GRASS_FLOOR) {
        Utils::loadTexture("Textures/grass.tga", &tex, GL_TEXTURE_2D, false);
    }
}

void Floor::draw() {
    glBindTexture(GL_TEXTURE_2D,tex);
    glColor3f(1,1,1);
    glPushMatrix();
    glBegin(GL_QUADS);
        glNormal3f(0,1,0);
        glTexCoord2f(0,10);
        glVertex3f(0,0,100);
        glTexCoord2f(10,10);
        glVertex3f(100,0,100);
        glTexCoord2f(10,0);
        glVertex3f(100,0,0);
        glTexCoord2f(0,0);
        glVertex3f(0,0,0);
    glEnd();
    glPopMatrix();
}
