#ifndef _HUD_H_
#define _HUD_H_

#include "Wizard.h"

class Hud {

private:
    Wizard* wizard;
    
    void drawBackground();
    void drawSpells();
    void drawBars();
    void drawShop();
    void drawSpellLevels();
    
    GLuint texSpray;
    GLuint texBall;
    GLuint texBackground;
    GLuint texGrad;
    
public:
    Hud(Wizard* wizard);
    void draw();
    void handleMouse(int x, int y);
};

#endif //_HUD_H_
