#ifndef SPRAY_H
#define SPRAY_H

#include "Spell.h"
#include "SprayParticleSystem.h"
class Wizard;

class Spray : public Spell {
    
private:
    SprayParticleSystem* particles;
    Wizard* wizard;

public:

    Spray(Detector* detector, int power, Wizard* wizard);
    ~Spray();
    void idle(float deltaTime);
    void draw();

    void getBoundingVolume(float *minX,float *maxX,
                       float *minY,float *maxY,
                       float *minZ,float *maxZ);
                       
    int getStrength();

};

#endif
